def trajet(n):
    L = [ 'droite' , 'gauche' , 'haut' , 'bas' ]
    P = [ (0,0) ] # liste où l'on mettra les positions du kangourou après chaque saut
    (x , y) = (0 , 0) # position initiale du kangourou
    for k in range(n):
        direction = choice(L)
        if direction == 'droite':
            x = x + 1
        elif direction == 'gauche':
            x = x - 1
        elif direction == 'haut':
            y = y + 1
        else:
            y = y - 1
        # on ajoute à la liste P la position du kangourou après le saut
        P.append( (x,y) ) # ajout à P
    return P
